Problems buying maps in locus classic 3

Hannes shared this problem 7 months ago
Not a Problem

Hello,

i can not buy Lo maps with my Locus classic 3. I get the information "this product can not download in this version of locus". It runs the version 3.62.1. Befor, its run the pro version befor it changes to classic.

Please help me, i baught locus 1,5 years ago.

Kind regards

Hannes

Replies (2)

photo
1

Hello,

the map you want to downloads can work only with the newer version of Locus Map app. Please open Google Play store > search for Locus Map Classic app and update on the latest version. Your version 3.62.1 is quite old.

Thank you
Best regards
Petr Voldan

photo
1

Thank you very much! I was thinking too complicated!!

Leave a Comment
 
Attach a file